'use strict'
!(function(require, directRequire) {
  const a = require('redux'),
    b = require('./Toast.js'),
    c = require('./ba23d8b47b1f4ea08b9fd49939b9443f.js'),
    { connect: d } = require('react-redux')
  module.exports = d(
    a => {
      let b = a.simulator.currentWebviewID,
        c = a.simulator.toastInfo,
        d = c.show && b == c.showOnWebviewID
      return {
        show: d,
        title: c.title,
        image: c.image,
        mask: c.mask,
        icon: c.icon
      }
    },
    () => {
      return {}
    }
  )(b)
})(require('lazyload'), require)
